apiVersion: apps/v1
kind: Deployment
metadata:
  name: ptt-vue
spec:
  selector:
    matchLabels:
      app: ptt-vue
  replicas: 1
  template:
    metadata:
      labels:
        app: ptt-vue
    spec:
      containers:
      - name: ptt-vue
        image: pitipat1998/ptt-vue
        ports:
          - name: http
            protocol: TCP
            containerPort: 3000
        env:
          - name: MINIO_SERVER
            value: "ptt-minio.default.svc.cluster.local"
          - name: MINIO_PORT
            value: "9000"
          - name: MINIO_ACCESS_KEY
            value: "minioadmin"
          - name: MINIO_SECRET_KEY
            value: "minioadmin"
          - name: SOCKETIO_HOST
            value: "localhost"
#            value: "backend1.philinelabs.net/sio"
          - name: SOCKETIO_PORT
            value: "80"
